Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class BaseObject

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject

Direct Known Subclasses:
  AggregationArgument, AggregationOperator, Allocation, AllocationArgument, AllocationOperator, Attribute, AW, AWDatabaseNull, AWObject, CalculatedMember, CalculatedMemberRef, CalculationSpecification, CubeDimRef, DimensionMemberExpression, DimensionMemberSelection, ExtendedProperty, ExternalSourceExpression, ForecastArgument, ForecastArgumentValue, ForeCastKeyWord, Index, MappingGroup, Measure, MeasureFolder, Model, OlapMeasureInput, Operator, OperatorType, Parameter, PreComputeClause, Solve, SolveDefDimRef, SolveDefinition, SolveGroup, SourceColumn, WhereClause

public abstract class BaseObject
extends java.lang.Object

An abstract class that specifies an object in the Analytic Workspace Java API object model. For a diagram of some of the `BaseObject` class hierarchy and associations, see Analytic Workspace Java API Object Model.

The object model identifies an object hierarchy that defines ownership relationships between instances of `BaseObject`. For a description of the object hierarchy and other diagrams, see Object Hierarchy.

Objects at the top of the hierarchy are owned by an analytic workspace. The top-level objects are: `Cube`, `Dimension`, and `SolveGroup`. A lower-level object is owned by its parent object. For example, a `Measure` is owned by its parent `Cube` and a `Level` is owned by its parent `Hierarchy`.

Each `BaseObject` instance has a unique name, which is used to construct its identifier. The object identifier is its full name, which consists of its lineage, unique name, and type. The object lineage identifies the name space of the object. Top-level objects are logically owned by an analytic workspace, but their namespace is the relational schema. The full name of a top-level object does not include a lineage component.

The `BaseObject` class provides methods for obtaining the name, identifer, owner (if one exists), and schema of the object. You can move the object by resetting its schema. You can also use `BaseObject` methods to assign long, short, and plural descriptive names to the object.

The `BaseObject` class provides action methods that interact with the Oracle Database through a JDBC connection. You can use these action methods to physically create, delete, or alter the object in the Database. For objects that exist within a sequence, you can create the object and specify its position. For example, you can specify the order of a dimension reference for a cube, or the position within the solve group for a solve.

The `BaseObject` class provides a method for obtaining the full object specification as an XML string.

Field Summary
`static java.lang.String` | `DATABASENULL` A constant that specifies that a text reference is `null`.

Constructor Summary
`BaseObject(BaseObject input)` Creates a `BaseObject` for the specified owner.

Method Summary
`java.lang.String` | `Alter(AWConnection connection)` Alters the class attributes of the object in the current analytic workspace of the specified database connection.
`java.lang.String` | `Create(AWConnection connection)` Creates a `BaseObject` in the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateAfter(AWConnection connection, BaseObject referencedObj)` Creates a `BaseObject` and adds it after the referenced object in a sequence of objects in the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateBefore(AWConnection connection, BaseObject referencedObj)` Creates a `BaseObject` and adds it before the referenced object in a sequence in the current analytic workspace of the specified database connection.
`java.lang.String` | `CreateFirst(AWConnection connection)` Creates a `BaseObject` in the current analytic workspace of the specified database connection.
`boolean` | `DataRead()` Indicates whether the object definition has been read into memory from the analytic workspace by the `readAWDefinitions` method of the `AW` object in use.
`java.lang.String` | `Delete(AWConnection connection)` Deletes the object in the current analytic workspace of the specified database connection.
`java.lang.String` | `getColumnName()` Gets the column name of the object.
`java.lang.String` | `getId()` Gets the identifier of the object.
`java.lang.String` | `getLongName()` Gets the long descriptive name of the object.
`java.lang.String` | `getLongName(java.lang.String lang)` Gets the long descriptive name of the object in the specified language.
`java.lang.String` | `getName()` Gets the logical name of the object.
`BaseObject` | `getOwner()` Gets the owner of the current object.
`java.lang.String` | `getPluralName()` Gets the plural name of the object.
`java.lang.String` | `getPluralName(java.lang.String lang)` Gets the plural name of the object in the specified language.
`java.lang.String` | `getSchema()` Gets the relational schema of a top-level object.
`java.lang.String` | `getShortName()` Gets the short descriptive name of the object.
`java.lang.String` | `getShortName(java.lang.String lang)` Gets the short descriptive name of the object in the specified language.
`void` | `setColumnName(java.lang.String input)` Specifies a column name for the object.
`void` | `setLongName(java.lang.String input)` Assigns a long descriptive name to the object.
`void` | `setLongName(java.lang.String lang, java.lang.String input)` Assigns to the object a long descriptive name in the specified language.
`void` | `setName(java.lang.String input)` Specifies the logical name of the object.
`void` | `setPluralName(java.lang.String input)` Assigns a plural name to the object.
`void` | `setPluralName(java.lang.String lang, java.lang.String input)` Assigns to the object a plural name in the specified language.
`void` | `setSchema(java.lang.String input)` Specifies the relational schema of the object.
`void` | `setShortName(java.lang.String input)` Assigns a short descriptive name to the object.
`void` | `setShortName(java.lang.String lang, java.lang.String input)` Assigns to the object a short descriptive name in the specified language.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `BaseOjbect`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATABASENULL

    public static java.lang.String DATABASENULL

  A constant that specifies that a text reference is `null`.

Constructor Detail

### BaseObject

    public BaseObject(BaseObject input)

  Creates a `BaseObject` for the specified owner. This method sets the long, short, and plural descriptive names to the default system-generated name for the new object.

  To create a top-level object (a `Dimension`, `Cube`, or `SolveGroup`) with no owner, use the factory methods such as `AW.createCube()`.

  Parameters:
    `input` - The `BaseObject` that owns the new object.

Method Detail

### DataRead

    public boolean DataRead()

  Indicates whether the object definition has been read into memory from the analytic workspace by the `readAWDefinitions` method of the `AW` object in use.

  This method returns `true` unless a partial read has been executed by the `readAWTopLevelDefinitions` method of the `AW`.

  Returns:
    A `boolean` that is `true` if the object definition has been completely read into memory, or `false` otherwise.

### setSchema

    public void setSchema(java.lang.String input)

  Specifies the relational schema of the object. Use this method only for the top-level objects, which are `Cube`, `Dimension`, and `SolveGroup`. The top-level objects exist within the namespace of the schema. All other objects inherit the schema of the owner.

  When a factory method creates a top-level object, the schema of the object is the default `AW$DEFAULT` schema. If you specify a different schema for the object, then the schema must match the schema in which the object is physically created.

  Parameters:
    `input` - A `String` that contains the name of the schema for this `BaseObject`.

### getSchema

    public java.lang.String getSchema()

  Gets the relational schema of a top-level object.
  Returns:
    A `String` that contains the name of the schema, or `null` if the object is not a `Cube`, `Dimension`, or `SolveGroup`.

### setName

    public void setName(java.lang.String input)

  Specifies the logical name of the object. The name is used to create a unique identifier for the object. You can set the object name only once.

  The logical name is also the default long, short, and plural descriptive name for the object. In general, the simple logical name for an object conforms to the rules for a SQL simple expression. Its length is from 1 to 30 bytes and is not case-sensitive.

  Parameters:
    `input` - A `String` that contains a logical name for the object.

### getName

    public java.lang.String getName()

  Gets the logical name of the object.
  Returns:
    A `String` that contains the logical name of the object.

### setColumnName

    public void setColumnName(java.lang.String input)

  Specifies a column name for the object.
  Parameters:
    `input` - A `String` that contains a column name for the object.

### getColumnName

    public java.lang.String getColumnName()

  Gets the column name of the object.
  Returns:
    A `String` that contains the column name of the object.

### setShortName

    public void setShortName(java.lang.String input)

  Assigns a short descriptive name to the object. You can specify any text string as the short name.
  Parameters:
    `input` - A `String` that contains a short name for the object.

### getLongName

    public java.lang.String getLongName()

  Gets the long descriptive name of the object.
  Returns:
    A `String` that contains the long name of the object.

### getLongName

    public java.lang.String getLongName(java.lang.String lang)

  Gets the long descriptive name of the object in the specified language.
  Parameters:
    `lang` - A `String` that specifies the language for the long name.
  Returns:
    A `String` that contains the long name of the object in the specified language.

### setLongName

    public void setLongName(java.lang.String input)

  Assigns a long descriptive name to the object. You can specify any text string as the long name.
  Parameters:
    `input` - A `String` that contains a long name for the object.

### getShortName

    public java.lang.String getShortName()

  Gets the short descriptive name of the object.
  Returns:
    A `String` that contains the short name of the object.

### getShortName

    public java.lang.String getShortName(java.lang.String lang)

  Gets the short descriptive name of the object in the specified language.
  Parameters:
    `lang` - A `String` that specifies the language for the short name.
  Returns:
    A `String` that contains the short name of the object in the specified language.

### setPluralName

    public void setPluralName(java.lang.String input)

  Assigns a plural name to the object. You can specify any text string as the plural name. It should represent the plural version of the simple logical object name.
  Parameters:
    `input` - A `String` that contains a plural name for the object.

### getPluralName

    public java.lang.String getPluralName()

  Gets the plural name of the object.
  Returns:
    A `String` that contains the plural name of the object.

### getPluralName

    public java.lang.String getPluralName(java.lang.String lang)

  Gets the plural name of the object in the specified language.
  Parameters:
    `lang` - A `String` that specifies the language for the plural name.
  Returns:
    A `String` that contains the plural name of the object in the specified language.

### getId

    public java.lang.String getId()

  Gets the identifier of the object. The identifier is the full name of the object in the object hierarchy.

  The identifier of an `AW`, `Cube`, `Dimension`, or `SolveGroup` object is in the format name.type. The identifier of an object at a lower level in the object hierarchy is in the format owner.name.type.

  For more information on object identifiers, see Object Identifiers.

  Returns:
    A `String` that contains the identifier of the object.

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `BaseOjbect`.
  Returns:
    An XML `String` that represents the `BaseOjbect`.

### getOwner

    public BaseObject getOwner()

  Gets the owner of the current object.
  Returns:
    The `BaseObject` that owns the current object.

### Create

    public java.lang.String Create(AWConnection connection)

  Creates a `BaseObject` in the current analytic workspace of the specified database connection. If the `BaseObject` is part of a sequence, then this method adds it to the end of the list.
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if this method successfully creates the `BaseObject`.

### CreateFirst

    public java.lang.String CreateFirst(AWConnection connection)

  Creates a `BaseObject` in the current analytic workspace of the specified database connection. If the `BaseObject` is part of a sequence, then this method adds it to the end of the list.
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if this method successfully creates the `BaseObject`.

### CreateAfter

    public java.lang.String CreateAfter(AWConnection connection,
                                        BaseObject referencedObj)

  Creates a `BaseObject` and adds it after the referenced object in a sequence of objects in the current analytic workspace of the specified database connection. Use this method only to create a `BaseObject` that you want to add to a sequence.
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `BaseObject` in the sequence after which to add the new `BaseObject`.
  Returns:
    A `String` that contains `success` if this method successfully creates the `BaseObject`.

### CreateBefore

    public java.lang.String CreateBefore(AWConnection connection,
                                         BaseObject referencedObj)

  Creates a `BaseObject` and adds it before the referenced object in a sequence in the current analytic workspace of the specified database connection. Use this method only to create a `BaseObject` that you want to add to a sequence.
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
    `referencedObj` - The `BaseObject` in the sequence before which to add the new `BaseObject`.
  Returns:
    A `String` that contains `success` if this method successfully creates the `BaseObject`.

### Delete

    public java.lang.String Delete(AWConnection connection)

  Deletes the object in the current analytic workspace of the specified database connection.
  Parameters:
    `connection` - The `AWConnection` that represents database connection.
  Returns:
    A `String` that contains `success` if this method successfully creates the `BaseObject`.

### Alter

    public java.lang.String Alter(AWConnection connection)

  Alters the class attributes of the object in the current analytic workspace of the specified database connection. You can use the `Alter` method to change descriptive names of the object or to reset the schema of a top-level object. To alter the structural definition of a `BaseObject`, you must create, modify, or remove its owned objects.
  Parameters:
    `connection` - The `AWConnection` that represents the database connection.
  Returns:
    A `String` that contains `success` if this method successfully creates the `BaseObject`.

### setPluralName

    public void setPluralName(java.lang.String lang,
                              java.lang.String input)

  Assigns to the object a plural name in the specified language. The name should represent the plural version of the simple logical object name.
  Parameters:
    `lang` - A `String` that specifies the language for the plural name.
    `input` - A `String` that contains a plural name for the object in the specified language.

### setLongName

    public void setLongName(java.lang.String lang,
                            java.lang.String input)

  Assigns to the object a long descriptive name in the specified language.
  Parameters:
    `lang` - A `String` that specifies the language for the long name.
    `input` - A `String` that contains a long name for the object in the specified language.

### setShortName

    public void setShortName(java.lang.String lang,
                             java.lang.String input)

  Assigns to the object a short descriptive name in the specified language.
  Parameters:
    `lang` - A `String` that specifies the language for the short name.
    `input` - A `String` that contains a short name for the object in the specified language.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.